summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Niels Horn2010-06-28 16:46:25 +0200
committer dsomero2010-06-28 16:46:25 +0200
commitdc040a5346bc4083581da8d48a8fd5f7b49866a1 (patch)
tree42414e114415e3fdf482391fc5ce6526528d71bc /multimedia
parentda4fec67cba27e3271fc8ff00f857a0ea855a2b9 (diff)
downloadslackbuilds-dc040a5346bc4083581da8d48a8fd5f7b49866a1.tar.gz
multimedia/devede: Added (create video CDs and DVDs)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/devede/README10
-rw-r--r--multimedia/devede/devede.SlackBuild66
-rw-r--r--multimedia/devede/devede.info10
-rw-r--r--multimedia/devede/doinst.sh4
-rw-r--r--multimedia/devede/slack-desc19
5 files changed, 109 insertions, 0 deletions
diff --git a/multimedia/devede/README b/multimedia/devede/README
new file mode 100644
index 0000000000..75575a400f
--- /dev/null
+++ b/multimedia/devede/README
@@ -0,0 +1,10 @@
+DeVeDe is a program to create video DVDs and CDs (VCD, sVCD, or CVD), suitable
+for home players from any number of video files, in any of the formats
+supported by MPlayer.
+
+DeVeDe requires dvdauthor, vcdimager, and MPlayer.
+
+Since new versions of DeVeDe are released frequently, to build a newer version
+than the one this script was written for, try:
+
+ VERSION=x.y.x ./devede.SlackBuild
diff --git a/multimedia/devede/devede.SlackBuild b/multimedia/devede/devede.SlackBuild
new file mode 100644
index 0000000000..3c5a9188a5
--- /dev/null
+++ b/multimedia/devede/devede.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for devede
+
+# Copyright 2007 Brian Reichert <rignes@pobox.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Roberto Neri <rneri@libero.it> to
+# - use 'pkgdocdir' and 'uninstall' install script options
+# - pass the version number to the build script
+
+# Updated by the SlackBuilds.org project
+
+# As of v3.16.8 maintained by Niels Horn <niels.horn@gmail.com>
+# Revision date: 2010/06/20
+
+PRGNAM=devede
+VERSION=${VERSION:-3.16.8}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+./install.sh --prefix=/usr --pkgdocdir=/usr/doc/$PRGNAM-$VERSION --uninstall=no DESTDIR=$PKG
+
+cp version.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/devede/devede.info b/multimedia/devede/devede.info
new file mode 100644
index 0000000000..cf466acc04
--- /dev/null
+++ b/multimedia/devede/devede.info
@@ -0,0 +1,10 @@
+PRGNAM="devede"
+VERSION="3.16.8"
+HOMEPAGE="http://www.rastersoft.com/programas/devede.html"
+DOWNLOAD="http://www.rastersoft.com/descargas/devede-3.16.8.tar.bz2"
+MD5SUM="7879f9832c447e9cabca3d0be7d3a6c8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="dsomero"
diff --git a/multimedia/devede/doinst.sh b/multimedia/devede/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/multimedia/devede/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/multimedia/devede/slack-desc b/multimedia/devede/slack-desc
new file mode 100644
index 0000000000..cef9289b0f
--- /dev/null
+++ b/multimedia/devede/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+devede: DeVeDe (create video CDs and DVDs)
+devede:
+devede: DeVeDe is a program to create video DVDs and CDs (VCD, sVCD or CVD)
+devede: suitable for home players, from any number of video files, in any of
+devede: the formats supported by Mplayer.
+devede:
+devede: Homepage: http://www.rastersoft.com/programas/devede.html
+devede:
+devede:
+devede:
+devede: